#!/bin/bash

# Ce script permet de lancer node dans un conteneur docker séparé,
# afin de disposer des outils comme yarn (paquet npm)

# exécute toujours dans le répertoire `php`
cd $(dirname $0)

# la commande exécutée dans le conteneur
if [ $# -eq 0 ]; then
   cmd=bash
else
   cmd="${@}"
fi

# le conteneur node monte le dossier de l'application
docker run --rm -it \
   --user "$(id -u):$(id -g)" \
   --volume "${PWD}/app:/app" \
   --workdir "/app" \
   --env "YARN_CACHE_FOLDER=/app/.yarncache" \
   node:14 ${cmd}

